﻿## This file contains some of the options that can be changed to customize
## your Ren'Py game. It only contains the most common options... there
## is quite a bit more customization you can do.
##
## Lines beginning with two '#' marks are comments, and you shouldn't
## uncomment them. Lines beginning with a single '#' mark are
## commented-out code, and you may want to uncomment them when
## appropriate.

init -1 python hide:

    ## Should we enable the use of developer tools? This should be
    ## set to False before the game is released, so the user can't
    ## cheat using developer tools.

    config.developer = True
    ## These control the width and height of the screen.

    config.screen_width = 1080
    config.screen_height = 600

    ## This controls the title of the window, when Ren'Py is
    ## running in a window.

    config.window_title = u"Blur Demo Effect for Lumen"

    #########################################
    # Themes
    
    ## We then want to call a theme function. themes.roundrect is
    ## a theme that features the use of rounded rectangles. It's
    ## the only theme we currently support.
    ##
    ## The theme function takes a number of parameters that can
    ## customize the color scheme.

    theme.roundrect(
        widget = "#003c78",
        widget_hover = "#0050a0",
        widget_text = "#c8ffff",
        widget_selected = "#ffffc8",
        disabled = "#404040",
        disabled_text = "#c8c8c8",
        label = "#ffffff",
        frame = "#6496c8",
        mm_root = "#dcebff",
        gm_root = "#dcebff",
        rounded_window = False,
        )

    # style.window.background = Frame("frame.png", 12, 12)
    # style.window.left_margin = 6
    # style.window.right_margin = 6
    # style.window.top_margin = 6
    # style.window.bottom_margin = 6
    # style.window.left_padding = 6
    # style.window.right_padding = 6
    # style.window.top_padding = 6
    # style.window.bottom_padding = 6
    # style.window.yminimum = 250
    # style.mm_menu_frame.xpos = 0.5
    # style.mm_menu_frame.xanchor = 0.5
    # style.mm_menu_frame.ypos = 0.75
    # style.mm_menu_frame.yanchor = 0.5

    # style.default.font = "DejaVuSans.ttf"
    style.default.size = 22

    config.has_sound = True
    config.has_music = True
    config.has_voice = True
    # style.button.activate_sound = "click.wav"
    # style.imagemap.activate_sound = "click.wav"
    # config.enter_sound = "click.wav"
    # config.exit_sound = "click.wav"
    # config.sample_sound = "click.wav"
    # config.main_menu_music = "main_menu_theme.ogg"
    config.help = "None"
    
    config.enter_transition = Dissolve
    config.exit_transition = Dissolve
    config.intra_transition = Dissolve
    config.main_game_transition = Dissolve
    config.game_main_transition = Dissolve
    config.end_splash_transition = Dissolve
    config.end_game_transition = Dissolve
    config.after_load_transition = Dissolve
    config.window_show_transition = Dissolve
    config.window_hide_transition = Dissolve

python early:
    config.save_directory = "Blur Effect for Lumen-1305830204"

init -1 python hide:
    config.default_fullscreen = True
    config.default_text_cps = 60

